Last updated: September 23, 2026

Create TACACS App

Create TACACS App.

Request

POSThttps://superadminuser.miniorange.in/services/api/apps/v1/tacacs

Authentication headers (required on every request)

Customer-Key
Super Admin ID for the actor account.
Timestamp
Milliseconds since epoch (e.g. Date.now()).
Authorization
SHA-512 of superAdminId + timestamp + apiKey.
X-Target-Customer-Id
Customer tenant the Super Admin is acting on.

Parameters

NameTypeRequiredDescription
applicationNameStringOptional
clientNameStringOptional
clientIpStringOptional
sharedSecretStringOptional
sendPrivilegeStringOptional
sendGroupsStringOptional
doNotSupportChallengeStringOptional
isAccountingAuditEnabledStringOptional
maxRequestsAllowedCountStringOptional
vendorStringOptional
identitySourceStringOptional
idpPolicyStringOptional

Request body

{
    "applicationName": "Custom TACACS Client",
    "clientName": "My TACACS App",
    "clientIp": [
        "192.168.1.100"
    ],
    "sharedSecret": "my-tacacs-shared-secret",
    "sendPrivilege": false,
    "sendGroups": false,
    "doNotSupportChallenge": false,
    "isAccountingAuditEnabled": false,
    "maxRequestsAllowedCount": null,
    "vendor": null,
    "identitySource": null,
    "idpPolicy": []
}

No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.

Copied